﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace _941537_RadAutoCompleteTextBox
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
           
            DataTable table = new DataTable();
            table.Columns.Add("ID", typeof(int));
            table.Columns.Add("Name", typeof(string));
            table.Rows.Add(1, "Text");
            table.Rows.Add(3, "Long text text text text text text Long text text text");
            table.Rows.Add(2, "New Text text text");
            this.radAutoCompleteBox1.AutoCompleteDataSource = table;
            this.radAutoCompleteBox1.AutoCompleteDisplayMember = "Name";
            this.radAutoCompleteBox1.AutoCompleteValueMember = "ID";

            this.radAutoCompleteBox1.Multiline = true;
            this.radAutoCompleteBox1.WordWrap = true;
            this.radAutoCompleteBox1.ListElement.AutoSizeItems = true;

            RadAutoCompleteBoxListElement le = this.radAutoCompleteBox1.ListElement as RadAutoCompleteBoxListElement;
            le.VisualItemFormatting+=le_VisualItemFormatting;
            
            //if (le != null)
            //{
            //    le.VisualItemFormatting += le_VisualItemFormatting;
            //}
        }

        void le_VisualItemFormatting(object sender, VisualItemFormattingEventArgs args)
        {
            args.VisualItem.TextWrap = true;
        }
    }
}
